#
# spec file for package mp3gain
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Packman Team <packman@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define realversion 1_5_2_r2
Name:           mp3gain
Version:        1.5.2
Release:        10.2
Summary:        MP3 Volume Normalizer based on Replay Gain
# the main program is LGPL-2.1+ but it's statically linked with mpglibDBL which is GPL-2.0+
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Editors and Convertors
Url:            http://mp3gain.sourceforge.net/
Source:         https://prdownloads.sourceforge.net/mp3gain/mp3gain-%{realversion}-src.zip
Source1:        %{name}.1.gz
Source2:        https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
Patch1:         %{name}-makefile-optflags.diff
BuildRequires:  unzip

%description
MP3Gain analyzes and adjusts mp3 files so that they have the same volume.
It does not just do peak normalization, as many normalizers do. Instead,
it does some statistical analysis to determine how loud the file actually
sounds to the human ear. Also, the changes MP3Gain makes are completely
lossless. There is no quality lost in the change because the program
adjusts the mp3 file directly, without decoding and re-encoding.

%prep
%setup -q -c %{name}-%{version}
%patch1
cp %{SOURCE2} ./LICENSE

%build
make \
	%{?_smp_mflags} \
	CC="gcc" \
	OPTFLAGS="%{optflags}"

%install
install -D -m 0755 mp3gain %{buildroot}%{_bindir}/mp3gain
install -D -m 0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1.gz

%files
%doc LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{ext_man}

%changelog
* Thu Aug 24 2017 aloisio@gmx.com
- Set correct license (GPL-2.0+) and replaced source2 with its
  text instead
* Fri Aug 18 2017 aloisio@gmx.com
- Cleaned up buildrequires
* Fri Aug 18 2017 aloisio@gmx.com
- Spec cleanup
* Tue May 29 2012 p.seiler@linuxmail.org
- changed the gpl LICENSE file to v2.1
- made a few spec file cleanups for future releases
* Tue May 29 2012 p.seiler@linuxmail.org
- extracted missing manpage from
  http://ftp.us.debian.org/debian/pool/main/m/mp3gain/mp3gain_1.5.2-r2-2_amd64.deb
- added this new LICENSE file because of this warning:
  mp3gain.x86_64: W: incorrect-fsf-address /usr/share/doc/packages/mp3gain/lgpl.txt
  The Free Software Foundation address in this file seems to be outdated or
  misspelled.  Ask upstream to update the address, or if this is a license file,possibly the entire file with a new copy available from the FSF.
* Wed Aug 25 2010 detlef@links2linux.de
- new upstream version 1.5.2-r2
* Tue Aug  3 2010 detlef@links2linux.de
- new upstream version 1.5.2
* Tue Oct 30 2007 guru@unixtech.be
- moved to Packman
* Mon May  8 2006 guru@unixtech.be
- new upstream version
- rewrote spec file
